DCMTK - Bug #741

Suppress LNK4217 warning about symbol _xmiFree on Windows
2017-03-28 09:48 - Marco Eichelberg

Status: Closed Start date: 2017-03-28
Priority: Low Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Estimated time: 0:00 hour
Target version: 3.6.2

Module: Compiler:

Operating System:

Description

The warning appears in a static compile (not DLL); in this case apparently the macro LIBXML_STATIC must be defined
before including the libxmlI2 header files to avoid a dllspec declaration in the header file that causes this warning.

See http://black-chair.livejournal.com/23752.html

History

#1 - 2017-05-02 16:53 - Jan Schlamelcher
- Status changed from New to Closed
- Assignee set to Jan Schlamelcher

- % Done changed from 0 to 100

Closed by commit #d84f3a9651a68d65.
